Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: puppet

Tunables Interfaces

### Description:

Configuration management system.

### Tunables:

puppet_manage_all_files

##### Default value

false

##### Description

Determine whether puppet can manage all non-security files.

Return

### Interfaces:

puppet_admin( domain , role )

##### Summary

All of the rules required to administrate an puppet environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

puppet_append_log_files( domain )

##### Summary

Append puppet log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

puppet_create_log_files( domain )

##### Summary

Create puppet log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

puppet_domtrans_puppetca( domain )

##### Summary

Execute puppetca in the puppetca domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

puppet_manage_lib_files( domain )

##### Summary

Create, read, write, and delete puppet lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

puppet_read_config( domain )

##### Summary

Read puppet configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

puppet_read_lib_files( domain )

##### Summary

Read Puppet lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

puppet_read_log_files( domain )

##### Summary

Read puppet log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

puppet_run_puppetca( domain , role )

##### Summary

Execute puppetca in the puppetca domain and allow the specified role the puppetca domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

puppet_rw_tmp( domain )

##### Summary

Read and write to puppet tempoprary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return